import React from "react";
import { Box, Text } from "grommet";
import { ImageStamp } from "grommet-controls";

//This component is "stolen" from grommet-controls, because the text style was not modifiable

const LoginAvatar = ({ image, title, subTitle, color }) => (
  <Box direction="row" align="center" gap="small">
    <ImageStamp src={image} round="full" />
    <Box justify="between">
      <Text weight="bold" truncate={true} color={color}>
        {title}
      </Text>
      <Text size="small" truncate={true} color={color}>
        {subTitle}
      </Text>
    </Box>
  </Box>
);

export default LoginAvatar;
