import React from "react";
import { Box, Button, Heading } from "grommet";
import { Menu } from "grommet-icons";
import LoginAvatar from "./LoginAvatar";

const PageHeader = ({ showSideBar, setShowSideBar }) => {
  return (
    <Box
      tag="header"
      direction="row"
      align="center"
      background="brand"
      pad={{ vertical: "small", right: "medium", left: "small" }}
      elevation="small"
      style={{ zIndex: "1" }}
    >
      <Box flex>
        <Button
          icon={<Menu size="medium" />}
          onClick={() => {
            setShowSideBar(!showSideBar);
          }}
        />
      </Box>
      <Box flex>
        <Heading level="2" margin="none" color="heading">
          RECIRCLE
        </Heading>
      </Box>
      <Box>
        <LoginAvatar
          image="https://mult-kor.hu/image/article/main/.630x1260/51999.jpg"
          title="Albert Einstein"
          subTitle="lecturer"
          color="heading"
        />
      </Box>
    </Box>
  );
};

export default PageHeader;
