import React from "react";
import { Box, Layer, Heading, Anchor } from "grommet";
import { Previous, Desktop, VirtualMachine, Group } from "grommet-icons";

const SideMenu = ({ showSideBar, setShowSideBar }) => {
  return (
    <Box>
      {showSideBar && (
        <Layer
          position="left"
          full="vertical"
          onClickOutside={() => {
            setShowSideBar(!showSideBar);
          }}
        >
          <Box background="brand" fill="vertical">
            <Anchor
              onClick={() => {
                setShowSideBar(!showSideBar);
              }}
            >
              <Box direction="row" align="center" margin="small">
                <Previous size="large" />
                <Heading level="2" color="heading" margin="small">
                  Back
                </Heading>
              </Box>
            </Anchor>
            {[
              { name: "My Instances", icon: <Desktop /> },
              { name: "Templates", icon: <VirtualMachine /> },
              { name: "Groups", icon: <Group /> }
            ].map(menuElement => (
              <Anchor
                onClick={() => {
                  setShowSideBar(!showSideBar);
                }}
              >
                <Box direction="row" align="center" margin="small">
                  {menuElement.icon}
                  <Heading level="4" color="heading" margin="small">
                    {menuElement.name}
                  </Heading>
                </Box>
              </Anchor>
            ))}
          </Box>
        </Layer>
      )}
    </Box>
  );
};

export default SideMenu;
